#include <iostream>
#include <math.h>

using namespace std;

typedef long long ll;

int main() {
    bool f=0;
    ll t;
    cin>>t;
    for(ll i=0;i<t;i++){
        ll n;
        cin>>n;
        ll a[n],b[n],sa=0,sb=0,absa=0,absb=0;
        for(ll j=0;j<n;j++){
            cin>>a[j];
            sa=sa+a[j];
            absa=absa+abs(a[j]);
        }

        for(ll j=0;j<n;j++){
            cin>>b[j];
            sb=sb+b[j];
            absb=absb+abs(b[j]);
        }
        if(abs(sa)%2!=abs(sb)%2 || absa!=absb)
            cout<<"NE"<<endl;
        else{
            cout<<"DA"<<endl;
        }
    }
}